Bug 5184 - Upgrade jQuery to the latest version
Summary: Upgrade jQuery to the latest version
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P1 - high enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 7747 7977 8078
  Show dependency treegraph
 
Reported: 2010-08-30 04:06 UTC by Robin Sheat
Modified: 2014-12-07 20:02 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Makes the packages use the bundled version of jquery (1.67 KB, patch)
2010-08-30 05:26 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 5184 - Upgrade jQuery to the latest version (149.39 KB, patch)
2012-04-17 14:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 5184 [REVISED] Upgrade jQuery to the latest version (OPAC) (150.56 KB, patch)
2012-04-17 16:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 5184 - Upgrade jQuery to the latest version (staff client) (163.67 KB, patch)
2012-04-17 19:45 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 5184 [REVISED] Upgrade jQuery to the latest version (OPAC) (150.63 KB, patch)
2012-04-24 15:22 UTC, Chris Nighswonger
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 5184 - Upgrade jQuery to the latest version (staff client) (163.75 KB, patch)
2012-04-24 15:23 UTC, Chris Nighswonger
Details | Diff | Splinter Review
Bug 5184 - Upgrade jQuery to the latest version (staff client) (163.81 KB, patch)
2012-04-29 22:18 UTC, Mason James
Details | Diff | Splinter Review
Bug 5184 [REVISED] Upgrade jQuery to the latest version (OPAC) (150.65 KB, patch)
2012-04-29 22:19 UTC, Mason James
Details | Diff | Splinter Review
Bug 5184 - Upgrade jQuery to the latest version (staff client) (163.81 KB, patch)
2012-04-29 22:20 UTC, Mason James
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2010-08-30 04:06:22 UTC
We accidentally upgraded the jQuery to 1.4.2, from the 1.3.2 bundled with Koha. This broke the background processing code, in particular with the bulk modification functions.

This ticket is to track the handling of workarounds and fixes dealing with this, in particular fixing the bits that are broken with newer jQuery versions.
Comment 1 Robin Sheat 2010-08-30 05:26:15 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2011-01-09 23:02:10 UTC
I found another error that occurs with the newer jQuery: the opac patron's details page selects the 'Fines & Charges' tab by default, but appears as though it's selected the 'Checkouts' list.
Comment 3 Owen Leonard 2011-01-10 13:42:22 UTC
> I found another error that occurs with the newer jQuery: the opac patron's
> details page selects the 'Fines & Charges' tab by default

I'm hoping that we can coordinate the jQuery upgrade with the addition of jQueryUI and at least partial implementation of the YUI replacement. I've made a lot of progress towards that, including a reimplementation of tabs. My work can be found in a branch called "ip-bug-5481-jquery-ui-2010-12-09" at http://gitorious.org/koha-dev/koha-dev
Comment 4 Liz Rea 2011-04-01 18:17:55 UTC
it's not only the opac, it's also in the staff client on detail view: selects the 'Fines & Charges' tab by default, but appears as though it's selected the 'Checkouts' list.
Comment 5 Chris Cormack 2011-05-30 08:17:27 UTC
Whats the latest with this?
Comment 6 Robin Sheat 2011-05-30 22:31:23 UTC
I snuck the patch here into the 3.4.1 package updates. The jquery updates will eventually need to happen, but the patch here doesn't need to be worried about any more.
Comment 7 Owen Leonard 2012-04-17 14:58:19 UTC Comment hidden (obsolete)
Comment 8 Owen Leonard 2012-04-17 16:06:58 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2012-04-17 18:59:19 UTC
I'm testing a patch for the staff client and have taken care of the examples of the above syntax changes. Julian, did you say you had tested a jQuery upgrade in the staff client before? Do you remember what bugs you ran into?
Comment 10 Owen Leonard 2012-04-17 19:45:25 UTC Comment hidden (obsolete)
Comment 11 Owen Leonard 2012-04-17 19:46:37 UTC
A patch for the staff client is attached in case anyone is eager to get started testing. I've done only limited testing so far but will do more.
Comment 12 Chris Nighswonger 2012-04-24 15:22:42 UTC Comment hidden (obsolete)
Comment 13 Chris Nighswonger 2012-04-24 15:23:48 UTC Comment hidden (obsolete)
Comment 14 Chris Nighswonger 2012-04-24 15:26:11 UTC
I checked through various parts paying more attention to the cataloging module and did not scare up any errors. I'm signing off because this really needs to be pushed on up so that we have the full release cycle to fully debug.
Comment 15 Chris Nighswonger 2012-04-24 19:01:02 UTC
The latest version appears to be 1.8.19, so I wonder if we need top update these patches to reflect that?
Comment 16 Owen Leonard 2012-04-24 19:10:57 UTC
That's jQueryUI's version.
Comment 17 Mason James 2012-04-29 22:18:32 UTC Comment hidden (obsolete)
Comment 18 Mason James 2012-04-29 22:19:04 UTC Comment hidden (obsolete)
Comment 19 Mason James 2012-04-29 22:20:42 UTC Comment hidden (obsolete)
Comment 20 Jonathan Druart 2012-05-03 14:12:18 UTC
QA Comment:
Good news :)
Changelog from v1.3 is available here: http://webscripts.softpedia.com/scriptViewChangelog/jQuery-Javascript-Library-Changelog-39111.html
A lot of functions are very useful.

Marked as Passed QA
Comment 21 Owen Leonard 2012-05-09 16:04:38 UTC
Why are there duplicate patches for the staff client and why did the OPAC patch get obsoleted? There should be two patches: one for the staff client and one for the OPAC.
Comment 22 Chris Nighswonger 2012-05-09 16:16:09 UTC
It looks like Mason may have mistakenly attached the signed-off patch for staff twice.
Comment 23 Paul Poulain 2012-05-11 09:04:46 UTC
Comment on attachment 9358 [details] [review]
Bug 5184 - Upgrade jQuery to the latest version (staff client)

removing (duplicated) patch
Comment 24 Paul Poulain 2012-05-11 09:12:43 UTC
Patch pushed, and mail sent to koha-devel to warn for this major upgrade of jquery
Comment 25 Paul Poulain 2012-05-11 09:24:26 UTC
I missed to unobsolete the OPAC patch, and pushed it. Thx kf for pointing my mistake.

OPAC patch pushed (tiny patch, passed QA)
Comment 26 Owen Leonard 2012-08-14 20:15:11 UTC
Reopened for new version (1.8.0).
Comment 27 Owen Leonard 2014-01-16 14:48:55 UTC
A separate bug has been created for the upgrade to 1.10.3, Bug 11570.